NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder Class Reference

Represents a NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder More...

Inheritance diagram for NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types { Hole, UserDefined }
 Represents the cutout type. More...
 

Public Member Functions

unsafe string[] GetStandards ()
 Returns the standard names More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle More...
 
unsafe bool CheckClearance [get, set]
 Returns or sets the check clearance More...
 
unsafe NXOpen.Expression Clearance [get]
 Returns the clearance More...
 
unsafe NXOpen.Expression CornerRadius [get]
 Returns the corner radius More...
 
unsafe NXOpen.Section CutoutProfile [get]
 Returns the cutout profile More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the diameter More...
 
unsafe NXOpen.Expression DieRadius [get]
 Returns the die radius More...
 
unsafe NXOpen.Point HoleCenter [get, set]
 Returns or sets the hole center More...
 
unsafe NXOpen.SelectFace HoleFace [get]
 Returns the hole face More...
 
unsafe NXOpen.Expression Length [get]
 Returns the length More...
 
unsafe bool ReverseBendDirection [get, set]
 Returns or sets the reverse bend direction More...
 
unsafe string StandardName [get, set]
 Returns or sets the standard name More...
 
unsafe
NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.Types 
Type [get, set]
 Returns or sets the feature type More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder

To create a new instance of this class, use NXOpen.Features.SheetMetal.AeroSheetmetalManager.CreateAeroLighteningCutoutBuilder

Default values.

Property Value

Angle.Value

45

CheckClearance

true

Clearance.Value

5 (millimeters part), 0.12 (inches part)

Diameter.Value

102 (millimeters part), 2.6 (inches part)

DieRadius.Value

8 (millimeters part), 0.2 (inches part)

Length.Value

8 (millimeters part), 0.2 (inches part)

Type

UserDefined

Created in NX5.0.0

Member Enumeration Documentation

Represents the cutout type.

Enumerator
Hole 
UserDefined 

Member Function Documentation

unsafe string [] NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.GetStandards ( )
inline

Returns the standard names

Created in NX5.0.0

License requirements: None.

Returns

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.Angle
get

Returns the angle

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.CheckClearance
getset

Returns or sets the check clearance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.Clearance
get

Returns the clearance

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.CornerRadius
get

Returns the corner radius

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.CutoutProfile
get

Returns the cutout profile

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.Diameter
get

Returns the diameter

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.DieRadius
get

Returns the die radius

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.HoleCenter
getset

Returns or sets the hole center

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.SelectFace NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.HoleFace
get

Returns the hole face

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.Length
get

Returns the length

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.ReverseBendDirection
getset

Returns or sets the reverse bend direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe string NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.StandardName
getset

Returns or sets the standard name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.Types NXOpen.Features.SheetMetal.AeroLighteningCutoutBuilder.Type
getset

Returns or sets the feature type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.